# Okapi documentation index

Some of the documents over here are of interest only to those developing Okapi itself, rather then those developing modules that will use Okapi. Module developers should start with [the _Guide_](guide.md).

* [`demos.md`: Okapi demonstration](demos.md) -- brief description of how to run a demo.
* [`error-formats-in-folio.md`: A modest proposal for error formats in FOLIO](error-formats-in-folio.md) -- not yet adopted and may never be.
* [`example-operations.md`: Examples of complete operations in FOLIO](example-operations.md) -- long surpassed by reality, but may still contain some valuable ideas, especailly as we start thinking about workflow.
* [`guide.md`: Okapi Guide and Reference](guide.md) -- **The main Okapi documentation. Start here.**
* `index.md`: this file only.
* [`internal-modules.md`: Internal modules](internal-modules.md) -- a proposal which is now largely implemented.
* [`module-requirements.md`: Requirements for FOLIO modules](module-requirements.md) -- a short, precise guide for module developers of what they _must_ do and what they _should_ do.
* [`securing.md`: Securing Okapi Installation](securing.md) -- detailed and current documentation on installing Okapi and configuring a running FOLIO system based on it.
* [`security.md`: Okapi Security Model](security.md) -- an exhaustive and current description of how the security model works, with detailed examples.
